"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const int64 = require('int64');
const siphash = require("siphash");
const siphash_key = [0x0, 0x0, 0x1, 0x0];
class LyticsUtils {
    static generateSipHash(value) {
        const hash = siphash.hash(siphash_key, value);
        const hex = [hash.h.toString(16), hash.l.toString(16)].join('');
        const hashedValue = int64.hex2dec(hex);
        return Promise.resolve(hashedValue);
    }
}
exports.LyticsUtils = LyticsUtils;
//# sourceMappingURL=LyticsUtils.js.map