"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const LyticsUtils_1 = require("../LyticsUtils");
describe('LyticsUtils', function () {
    it('should generate a sip hash for the specified value', function () {
        return __awaiter(this, void 0, void 0, function* () {
            const hashedValue = yield LyticsUtils_1.LyticsUtils.generateSipHash('test');
            chai_1.assert.equal(hashedValue, -8890464022492218970);
        });
    });
});
//# sourceMappingURL=LyticsUtils.spec.js.map